<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to uninstall Metasploit from Linux systems. " /><title>Removing Metasploit from Linux Systems</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#04-administration-old/removing-metasploit-linux.html">Open topic with navigation</a>
        </p>
        <h3>Removing Metasploit from Linux Systems</h3>
        <ol>
            <li value="1">Open the command line terminal.
</li>
            <li value="2">Use the cd command to change the directory path to the Metasploit directory. If you installed Metasploit in the default directory, type the following: 
user@computer:</li>
        </ol>
        <p class="indentCode">$ cd ~/opt/metasploit-4.4.0

</p>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>Replace the version number with your version number. </p>
        <ol data-mc-continue="true">
            <li value="3">
Type the following to stop all Metasploit services and press <b class="UISelection">Enter</b>: 
</li>
        </ol>
        <p class="indentCode">$./ctlscript.sh.stop
</p>
        <ol data-mc-continue="true">
            <li value="4">Type the following to uninstall Metasploit and all its components</li>
        </ol>
        <p class="indentCode">$ ./uninstall
</p>
        <ol data-mc-continue="true">
            <li value="5">
Click <b class="UISelection">Yes </b>to confirm that you want to uninstall <span class="VariablesProductName">Metasploit Pro</span> components and modules. </li>
            <li value="6">
Click <b class="UISelection">Yes </b>to confirm that you want to delete the data saved in the projects. If you click No, the <code>$INSTALLER_ROOT/apps</code> directory remains intact, and you can continue to access the Metasploit data stored in this directory. </li>
        </ol>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="Removing Metasploit from Windows Systems|removing-metasploit-windows.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>